Skip to navigation

List bulk actions

View as Markdown

This method returns a list of completed and pending bulk actions.

Required authentication scopes: notary_read, signature, organization_read.

Authentication

AuthorizationBearer
JWT Bearer token from DocuSign authorization server

Path parameters

organizationIdstringRequiredformat: "uuid"
The organization's GUID.

Query parameters

startPositionintegerOptionalDefaults to 0

The position within the total result set from which to start returning values. Default: 0.

countintegerOptionalDefaults to 100

The maximum number of results to return. Default: 100.

Response

Successful response
resultSetSizeintegerOptional

The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the value of totalSetSize.

startPositionintegerOptional

The position within the total result set from which to start returning values. Default: 0.

endPositionintegerOptional
The last index position in the result set.
nextUristring or nullOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

priorUristring or nullOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

totalSetSizeintegerOptional

The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

bulkActionslist of objects or nullOptional
An array of bulk action summaries.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error